declare const isRecord: (value: unknown) => value is Record<string, unknown>;
declare const isTruthy: (value: unknown) => boolean;
declare const isNullOrUndefined: (value: unknown) => value is null | undefined;
declare const isString: (value: unknown) => value is string;
export { isRecord, isString, isTruthy, isNullOrUndefined };
type JSONPrimitive = string | number | boolean | null | undefined;
type JSONValue = JSONPrimitive | JSONObject | JSONArray;
type JSONObject = {
    [key: number | string]: JSONValue;
};
type JSONArray = Array<JSONValue>;
export type { JSONPrimitive, JSONValue, JSONObject, JSONArray };
//# sourceMappingURL=utils.d.ts.map